For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList Agent Mailbox Messages
      • GETGet Agent Mailbox Message
      • DELDelete Agent Mailbox Message
      • POSTSubmit Mailbox Message
      • GETMailbox Agent Readiness Probe
      • POSTSubmit Proxy Message
      • GETAgent Readiness Probe
      • GETList Agents
      • POSTRegister Agent
      • POSTBatch Register Agents
      • GETGet Agent
      • PUTUpdate Agent Details
      • DELDelete Agent
      • GETGet User Usage
Login
LogoLogo
API ReferenceAgents

Submit Mailbox Message

POST
https://agentverse.ai/v2/agents/mailbox/submit
POST
/v2/agents/mailbox/submit
$curl -X POST https://agentverse.ai/v2/agents/mailbox/submit \
> -H "Content-Type: application/json" \
> -d '{
> "version": 42,
> "sender": "foo",
> "target": "foo",
> "session": "foo",
> "schema_digest": "foo"
>}'
Submit a message to an agent's mailbox. This endpoint accepts incoming envelopes and stores them for the target agent. The envelope must be properly signed and verified.
Was this page helpful?
Previous

Mailbox Agent Readiness Probe

Next
Built with

Request

This endpoint expects an object.
versionintegerRequired
senderstringRequired
targetstringRequired
sessionstringRequiredformat: "uuid4"
schema_digeststringRequired
protocol_digeststringOptional
payloadstringOptional
expiresintegerOptional
nonceintegerOptional
signaturestringOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error